locked
Monitoring Server Configuration / W2k3R2 with SQL 08 Error RRS feed

  • Question

  • Hi,

    I'm trying to run the monitoring server configuration but I'm stuck at the database configuration. I'm using three virtual w2k3 servers, one domain controller, one sql 2008 server (EE) and one sharepoint (2007) server. I wanted to install the monitoring server on the sharepoint server, but PPS won't connect to my database and instead only says 'the sql server instance needs to run on sql 2005 SP2'. I've already worked my way through the Microsoft guide 'Install PerformancePoint Monitoring Server with SQL Server 2008' and installed everything correctly so far.
    I'm also wondering, is there a logfile from the monitoring server configuration where I can gather more information? I wasn't able to locate the version number of PPS. I tried installing SP2 but that didn't work, error was saying something like 'equal or newer version already installed, access denied', so I assume it's installed.

    Some more information:
    - Server matches all requirements
    - Access to SQL08 Database is working fine, rights should be sufficient
    - Using evaluation versions of every software
    - PerformancePoint Server 2007

    No clue where to look for the problem anymore, so I'm glad for any suggestions.

    greets
    Wednesday, April 8, 2009 1:19 PM

Answers

  • Hi,

    Yes, you are right that PPS SP2 EVAL version not localized.   Only, English build is available and I hope future service pack EVAL version is released.

    Workaround:

    1.  Download the German PPS EVAL Version and Apply PPS SP1 (German) EVAL version.   This scenario SQL Server 2008 will not supported.

    OR

    2. Download the English PPS EVAL Version and Apply PPS SP2 (English) EVAL version.


    Thank you,
    Sundar - MSFT
    This posting is provided "AS IS" with no warranties, and confers no rights.
    • Marked as answer by janitor85 Tuesday, April 14, 2009 6:26 AM
    Thursday, April 9, 2009 3:41 PM

All replies

  • Hi,

    Please install the SQL Server 2005 CU 9 or higher redistributables on the Monitoring Server which connects to SQL Server 2008.   The details in this link http://technet.microsoft.com/en-us/library/cc514367.aspx 


    Note:  Install CU9 or higher then PPS RTM and PPS SP2 before launching the Configuration Manager.   You may need to install the AJAX 1.0 extensions again on the Monitoring Server


    Thank you,
    Sundar - MSFT
    This posting is provided "AS IS" with no warranties, and confers no rights.
    Wednesday, April 8, 2009 3:17 PM
  • Hi, thx for your reply!

    The SQL Server 2005 CU9 were already installed on the sharepoint server, I double checked the versions. I uninstalled PerformancePoint again and downloaded the version w/o Servicepacks, but I am unable to apply SP1 or SP2. SP1 recognizes that pps is installed but after a short while it throws an error stating 'error while trying to execute patch on file config.msi\ptb3.tmp [...] file can't be modified with this patch'. SP2 seems not to have SP1 included, it can't find a version where an update is possible.

    I downloaded http://www.microsoft.com/downloads/details.aspx?FamilyId=6372C24F-67DD-42DD-B034-748907B23420&displaylang=en this version (in german).

    (error message is translated so it might be a bit different originally)

    Greets

    janitor85
    • Edited by janitor85 Thursday, April 9, 2009 7:41 AM
    Wednesday, April 8, 2009 4:16 PM
  • Hi,


    PPS RTM Version can be upgraded directly to SP2 which includes SP1.  There is no such requirement to follow this path PPS RTM -> SP1  -> SP2.     Only thing you need to make sure correct build is downloaded - Example: 64-bit PPS RTM EVAL requires PPS 64-bit SP2 EVAL.    EVAL and Enterprise install should not be mismatched.   From Add or Remove Programs you will be able to see EVAL or Enteprise bits.  EVALUATION is added to the PPS product.  The Install File MSP or MSI properties should provide a clue whether it is 64-bit or 32-bit.   I believe only 64-bit will be mentioned.

    I hope you have changed the language to German before downloading the bits.  Note: German locale PPS RTM build can be updated by German locale SP2

    Thank you,
    Sundar - MSFT
    This posting is provided "AS IS" with no warranties, and confers no rights.
    Wednesday, April 8, 2009 5:14 PM
  • Hi,

    well I installed the 32bit version in German. It is the EVAL so I think I downloaded the wrong SP2. Is there a German EVAL SP2 available? It doesn't look that way. I'm only able to locate http://www.microsoft.com/downloads/details.aspx?FamilyID=702F1B7F-7019-434A-8B18-BCCC7E08469F&displaylang=en and the language can't be changed there. Do I have to install the English PPS Eval in order to use it?

    Greets & thx for your help so far

    (I won't be at work until tuesday, so I can't respond to any further tipps until then)
    Thursday, April 9, 2009 7:39 AM
  • Hi,

    Yes, you are right that PPS SP2 EVAL version not localized.   Only, English build is available and I hope future service pack EVAL version is released.

    Workaround:

    1.  Download the German PPS EVAL Version and Apply PPS SP1 (German) EVAL version.   This scenario SQL Server 2008 will not supported.

    OR

    2. Download the English PPS EVAL Version and Apply PPS SP2 (English) EVAL version.


    Thank you,
    Sundar - MSFT
    This posting is provided "AS IS" with no warranties, and confers no rights.
    • Marked as answer by janitor85 Tuesday, April 14, 2009 6:26 AM
    Thursday, April 9, 2009 3:41 PM
  • Thank you very much for your help! I'll try the English version and see how it will work in my environment.

    Greetings
    Tuesday, April 14, 2009 6:28 AM